import { Grid } from "@mui/material";
import DeleteIcon from "@mui/icons-material/Delete";
import { memo } from "react";
import { useSelector } from "react-redux";

const style = {
    width: '90%',
    border: '1px solid black',
    borderRadius: '5px',
    padding: '15px 15px',
    display: 'flex',
    justifyContent: 'space-between',
    alignItems: 'center'
}

const ProjectMembersItem = ({ user, deleteMemberHandler, currentRoleInProject }) => {
    const userId = useSelector(state => state.users.user.id);
    return <>
        <Grid sx={style}>
            {user?.displayName}
            {currentRoleInProject === 'admin' && user.id !== userId ?
                <DeleteIcon
                    sx={{ cursor: 'pointer' }}
                    onClick={deleteMemberHandler}
                />
                : null}
        </Grid>
    </>
};

export default memo(ProjectMembersItem);
